/*
Theme Name: PSD Spirit
Theme URI: 
Author: Milan Stosic
Author URI: https://www.linkedin.com/in/milanstosic/
Description: This theme is a child theme of Spectra One theme and can not work without it.
Requires at least: 6.8
Tested up to: 6.8
Requires PHP: 5.7
Version: 
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: spectra-one
Text Domain: psd-spirit
Tags: 
*/

/* Enable View Tranisitons - https://developer.mozilla.org/en-US/docs/Web/API/View_Transition_API/ */
@view-transition {
    navigation: auto;
}

html {
	scroll-behavior: smooth;
}

@media screen and (prefers-reduced-motion: reduce) {
	html {
		scroll-behavior: auto;
	}
}

body {
	-moz-osx-font-smoothing: grayscale;
	-webkit-font-smoothing: antialiased;
}

/* Default button styles on mobile */

@media (max-width: 767px) {
    .uagb-buttons__wrap {
        flex-wrap: wrap;
    }

    .uagb-buttons__wrap .wp-block-button {
        width: 100% !important;
    }
}

/* Navigation */
@media (max-width: 600px) {
    .ms-site-header-menu .wp-block-navigation-item__content {
        font-size: var(--wp--preset--font-size--large);
    }
}

.current-menu-item .wp-block-navigation-item__content,
.wp-block-navigation-item .wp-block-navigation-item__content:hover,
.wp-block-navigation-item .wp-block-navigation-item__content:focus,
.post-type-archive-activity .ms-activities-menu-item .wp-block-navigation-item__content,
.single-activity .ms-activities-menu-item .wp-block-navigation-item__content,
.single-activity .ms-footer-menu-activities-menu-item .wp-block-navigation-item__content,
.ms-header-footer-socials .wp-block-social-link-anchor:hover,
.ms-header-footer-socials .wp-block-social-link-anchor:focus {
    color: var(--wp--preset--color--quaternary) !important;
}

@media (min-width: 768px) {
    .ms-footer-menu .wp-block-navigation__container {
        --navigation-layout-direction: row;
        --navigation-layout-align: flex-start;
    }
    
    .ms-footer-menu .wp-block-navigation-item__label {
        white-space: nowrap;
    }
}

/* 
 * Activities CPT
 */

/* Yearly activity plan button */
.yearly-activity-plan-button {
    white-space: nowrap;
}

/* Activities plan table */
@media (min-width: 768px) {
    .yearly-activity-plan-table th:nth-child(1) {
        width: 100px;
    }

    .yearly-activity-plan-table th:nth-child(2) {
        width: 200px;
    }   
}

/* Activity past badge */
.activity-past-badge {
    background-color: #052524;
    color: #fff;
    padding: 15px 20px;
    border-radius: 25px;
    font-size: var(--wp--preset--font-size--large);
    text-align: center;
}

@media (min-width: 768px) {
    .activity-past-badge {
        padding-left: 30px;
        padding-right: 30px;
    }
}

/* Activity gallery */
.activity-gallery {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}

@media (min-width: 768px) {
    .activity-gallery {
        grid-template-columns: repeat(3, 1fr);
    }   
}

.activity-gallery__item {
    overflow: hidden;
    border-radius: 25px;
}

.activity-gallery__item img {
    aspect-ratio: 1 / 1;
    object-fit: cover;
    width: 100%;
    max-width: 100%;
    min-width: 100%;
    height: auto;
    display: block;
    transition: transform .25s ease;
}

.activity-gallery__item:hover img {
    transform: scale(1.03);
}

.activity-field-content p:first-child {
    margin-top: 0;
}

.activity-field-content p:last-child {
    margin-bottom: 0;
}

/* .ms-taxonomy-filters {
    display: flex;
    list-style: none;
    gap: 10px;
    padding-left: 0;
}

.ms-taxonomy-filters .cat-item a,
.ms-taxonomy-filters--all a {
    display: block;
    background-color: var(--wp--preset--color--outline);
    border-radius: 2rem;
    color: var(--wp--preset--color--body);
    font-size: 12px;
    font-family: var(--wp--preset--font-family--montserrat);
    font-style: normal;
    font-weight: 600;
    text-transform: uppercase;
    line-height: var(--wp--custom--line-height--initial);
    padding-top: var(--wp--preset--spacing--xx-small);
    padding-right: var(--wp--preset--spacing--x-small);
    padding-bottom: var(--wp--preset--spacing--xx-small);
    padding-left: var(--wp--preset--spacing--x-small);
    transition: color .15s ease;
}

.ms-taxonomy-filters .cat-item a:hover,
.ms-taxonomy-filters .cat-item a:focus,
.ms-taxonomy-filters--all a:hover,
.ms-taxonomy-filters--all a:focus {
    color: var(--wp--preset--color--foreground);
}

.ms-taxonomy-filters .cat-item.current-cat a,
.post-type-archive-activity .ms-taxonomy-filters--all a {
    color: #fff;
    background-color: var(--wp--preset--color--foreground);
} */

/* 
 * WPCF7 form
 */
.wpcf7 {
    background-color: #fff;
    padding: 32px;
    border-radius: 25px;
    border: 2px solid var(--wp--preset--color--outline);
}

@media (min-width: 1024px) {
    .wpcf7 {
        padding: 40px;
    }
}

.ms-form {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.ms-form-row {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

@media (min-width: 768px) {
    .ms-form-row {
        flex-direction: row;
        gap: 20px;
    }

    .ms-form-row .ms-form-group {
        flex: 1;
    }
}

.ms-form-group p {
    margin-top: 0;
    margin-bottom: 0;
}

.ms-form-label {
    display: inline-block;
    cursor: pointer;
    margin-bottom: 5px;
}

.wpcf7-list-item-label {
    cursor: pointer;
}

.ms-form-input {
    width: 100%;
    border: 2px solid var(--wp--preset--color--outline);
    border-radius: 10px;
    padding: 15px 20px;
    background-color: transparent;
}

textarea.ms-form-input {
    resize: vertical;
}

.ms-form-submit {
    padding: 16px 32px;
    font-family: var(--wp--preset--font-family--poppins);
    color: var(--wp--preset--color--secondary);
    background-color: transparent;
    border: 2px solid var(--wp--preset--color--secondary);
    border-radius: 30px;
    cursor: pointer;
    text-transform: uppercase;
    font-weight: 600;
}

.ms-form-submit:hover,
.ms-form-submit:focus {
    color: var(--wp--preset--color--background);
    background-color: var(--wp--preset--color--secondary);
}

.ms-form .wpcf7-not-valid-tip {
    font-size: 13px;
    margin-top: 5px;
}

.wpcf7 form .wpcf7-response-output {
    font-size: 14px;
    margin: 15px 0 0 0;
    padding: 20px;
    border-radius: 20px;
    border: 2px solid transparent;
}

.wpcf7 form.invalid .wpcf7-response-output {
    color: #fff;
    border-color: #dc3232;
    background-color: #dc3232;
}

.wpcf7 form.sent .wpcf7-response-output {
    color: #fff;
    border-color: #2c8334;
    background-color: #2c8334;
}

/* iOS-specific tweaks */
@supports (-webkit-touch-callout: none) {
    .wpcf7 input[type="date"] {
        width: 83%;
    }

    @media (min-width: 768px) {
        .wpcf7 input[type="date"] {
            width: 93%;
        }
    }
}

/* activity-title hidden field */
.activity-title {
    display: none;
}

/* 
* Uclanjenje 
*/

/* Uclanjenje - list item dot alignment */
.ms-top-aligned-list-dots .uagb-icon-list__source-wrap {
    padding-top: 8px !important;
}
